bin2obj(1)

NAME
bin2obj - The Free Pascal binary to pascal include file converter.

SYNOPSIS
bin2obj [-aeouUz] -c constname infile

DESCRIPTION
bin2obj reads a binary file and converts it to a pascal typed constant declaration. The constant is an array of bytes (zero based), in which each byte has the value of the byte at the offset index in the file. (index is the index in the array).

USAGE
bin2obj accepts a filename of a binary file, and needs the name of a constant (use the -c option). The output goes to standard output by default. If no unitname is given, the output will be in the form of code which can be written to an include file.

OPTIONS
bin2obj has a small number of options to control its behaviour:

-a  Write ASCII data instead of bytes. The constant array will be an array of char instead of an array of bytes. The bytes will be written as ASCII constants.

-e key
    If this option is given, the data will be encrypted with key which is a string of 8 characters long.

-h  emit a small helptext.

-o filename
    By default, the output goes to standard output (the screen). If this option is given, bin2obj will write the output to a file with name filename instead. This option is mandatory if the -U option is specified.

-u [unitname]
    This option tells bin2obj to generate a unit. By default the output is just the declaration of the constant. If the unitname is not specified, bin2obj tries to determine it from the input filename.

-U [unitname]
    The same as the -u option, only bin2obj will also call the compiler and compile the unit.

-z  Compress the data before creating the unit. zlib compression is used.

SEE ALSO

    ppc386(1) data2inc(1)